POST
/api/v1/security/assessmentStart a red-team assessment
Starts a comprehensive red-team assessment using registered attack plugins and strategies. Runs asynchronously -- poll with GET to check progress.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"targetName": "<Name of the target system>",
"systemPrompt": "<System prompt to attack>",
"modelName": "<Model to test against>",
"maxConcurrent": 5
}Schema
{
"application/json": {
"schema": {
"type": "object",
"required": [
"targetName",
"systemPrompt",
"modelName",
"plugins"
],
"properties": {
"targetName": {
"type": "string",
"description": "Name of the target system"
},
"systemPrompt": {
"type": "string",
"description": "System prompt to attack"
},
"modelName": {
"type": "string",
"description": "Model to test against"
},
"plugins": {
"description": "Plugin list or \"all\""
},
"strategies": {
"description": "Strategy list or \"none\""
},
"maxConcurrent": {
"type": "integer",
"default": 5
}
}
}
}
}Response
All status codes
201Assessment started
Code samples
cURL
curl -X POST \
https://evalguard.ai/api/v1/security/assessment \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "targetName": "<Name of the target system>", "systemPrompt": "<System prompt to attack>", "modelName": "<Model to test against>", "maxConcurrent": 5 }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/security/assessment",
body: {
"targetName": "<Name of the target system>",
"systemPrompt": "<System prompt to attack>",
"modelName": "<Model to test against>",
"maxConcurrent": 5
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="POST",
path="/api/v1/security/assessment",
body={
"targetName": "<Name of the target system>",
"systemPrompt": "<System prompt to attack>",
"modelName": "<Model to test against>",
"maxConcurrent": 5
},
)
print(response)Go
package main
import (
"context"
"fmt"
"os"
"github.com/evalguard/evalguard-go"
)
func main() {
client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
resp, err := client.Request(context.Background(), "POST", "/api/v1/security/assessment", map[string]any{"targetName": "<Name of the target system>", "systemPrompt": "<System prompt to attack>", "modelName": "<Model to test against>", "maxConcurrent": 5})
if err != nil { panic(err) }
fmt.Println(resp)
}